
#ifndef __MAIN_H__
#define __MAIN_H__
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
//vȌ
enum {
	STATE_INIT  = 0x01,
	STATE_RESET,
	STATE_DRAW,
	STATE_KEY,
	STATE_CPU,
	STATE_MENU,
};


//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateDraw();
EWRAM_CODE void StateKey();
EWRAM_CODE void StateCpu();
EWRAM_CODE void StateMenu();

EWRAM_CODE void InitWS();
EWRAM_CODE void InitLib();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitIRQ();
EWRAM_CODE void InitFont();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitGBFS();
EWRAM_CODE void InitLSI(char* pName);


EWRAM_CODE void SystemMenu();
EWRAM_CODE void SystemMessage(char* msg1, char* msg2);
EWRAM_CODE void SystemError(char* msg1, char* msg2);


#ifdef __cplusplus
}
#endif
#endif
